timeouts:
  job:
    minutes: 130
  connection:
    minutes: 2
context:
  guestfs_interface: virtio
  arch: arm64
  netdevice: tap
  machine: virt-2.10,accel=kvm
  cpu: host,aarch64=off
device_type: qemu-arm
job_name: linux-mainline-oe--ltp-quickhit-mainline-821
priority: high
visibility: public
metadata:
  git branch: mainline
  git repo: https://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux.git
  git commit: v5.5-rc1-12-g6794862a16ef
  git describe: v5.5-rc1-12-g6794862a16ef
  make_kernelversion: 5.4-rc8
  kernel-config: http://storage.staging.lkft.org/mainline/master/v5.5-rc1-12-g6794862a16ef/arm/multi_v7_defconfig%2Blkft/gcc-8/kernel.config
  kernel-defconfig: http://storage.staging.lkft.org/mainline/master/v5.5-rc1-12-g6794862a16ef/821/defconfig
  build-url: http://ci.staging.lkft.org/job/kernel-arch-complete/821/
  build-location: http://storage.staging.lkft.org/mainline/master/v5.5-rc1-12-g6794862a16ef
  toolchain: unknown
  series: lkft
  email-notification: ''
  ltp-quickhit-tests__url: unknown
  ltp-quickhit-tests__version: unknown
  ltp-quickhit-tests__revision: unknown
actions:
- deploy:
    timeout:
      minutes: 40
    to: tmpfs
    namespace: target
    images:
      kernel:
        url: http://storage.staging.lkft.org/mainline/master/v5.5-rc1-12-g6794862a16ef/arm/multi_v7_defconfig%2Blkft/gcc-8/zImage
        image_arg: -kernel {kernel} --append "console=ttyAMA0 root=/dev/vda rw"
        type: image
      rootfs:
        url: http://storage.staging.lkft.org/rootfs/oe-lkft-sumo/am57xx-evm/74/rpb-console-image-lkft-am57xx-evm-20191216215806.rootfs.ext4.gz
        compression: gz
        apply-overlay: true
        image_arg: -drive format=raw,file={rootfs},if=virtio -m 4096 -smp 2 -nographic
        sparse: false
    os: oe
- test:
    namespace: target
    timeout:
      minutes: 45
    definitions:
    - from: inline
      repository:
        metadata:
          format: Lava-Test Test Definition 1.0
          name: prep-tmp-disk
          description: Link /scratch to /tmp
        run:
          steps:
          - df -h
          - ln -s /tmp /scratch
      name: prep-tmp-disk
      path: inline/prep.yaml
    - repository: https://github.com/Linaro/test-definitions.git
      from: git
      path: automated/linux/ltp/ltp.yaml
      parameters:
        SKIP_INSTALL: 'true'
        TST_CMDFILES: quickhit
        SKIPFILE: skipfile-lkft.yaml
        BOARD: qemu_arm
        BRANCH: mainline
        ENVIRONMENT: production
        TIMEOUT_MULTIPLIER: 3
        LTP_TMPDIR: /scratch
      name: ltp-quickhit-tests
